<?php

namespace App\Http\Controllers;

use App\Models\Countries;
use App\Models\Record;
use App\Models\Regions;
use App\Models\Setting;
use App\Models\User;
use Auth;
use Hash;
use Illuminate\Http\Request;
use Validator;

class AdminHomeController extends Controller
{
    public function Dashboard()
    {
        $website = Setting::first();
        $countries = Countries::get();
        $regions = Regions::get();
        $admin = User::where('type','admin')->where('id','!=',1)->get();
        return view('admin.index', compact('website','countries','regions','admin'));
    }

    public function AdminProfile()
    {
        $admin = User::findOrFail(Auth::user()->id);
        return view("admin.profile", compact("admin"));
    }

    public function updateprofile(Request $request)
    {
        $GetData = User::findOrFail(Auth::user()->id);
        if (isset($request->name)) {
            $GetData->name = $request->name;
        }

        if (isset($request->phone)) {
            $GetData->phone = $request->phone;
        }

        if (isset($request->address)) {
            $GetData->address = $request->address;
        }

        if (isset($request->email)) {
            $GetData->email = $request->email;
        }
        if (isset($request->password)) {

            $validator = Validator::make($request->all(), [
                'password' => 'required|string|min:8'
            ]);

            if ($validator->fails()) {
                return back()->with('error', 'Please Enter Valid Password !');
            }
            $GetData->password = Hash::make($request->password);
        }

        if ($request->hasFile('profile')) {
            $validator = Validator::make($request->all(), [
                'profile' => 'required|image|mimes:jpg,png,jpeg,gif,svg'
            ]);

            if ($validator->fails()) {
                return back()->with('error', 'Invalid Profile Picture');
            }

            if (\File::exists(public_path('admin/assets/uploads/' . $GetData->image))) {

                \File::delete(public_path('admin/assets/uploads/' . $GetData->image));
            }

            $image = $request->file('profile');
            $image_new = time() . $image->getClientOriginalName();
            $image->move('admin/assets/uploads/', $image_new);
            $GetData->image = $image_new;
        }

        $GetData->save();
        return back()->with('success', 'Profile Updated Successfully !');
    }

}
