<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Countries;
use Validator;
use Auth;
class CountriesController extends Controller
{
    public function countries()
    {
        $countries = Countries::all();
        return view('admin.countries', compact('countries'));
    }

    public function savecountries(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'name' => 'required',
            'iso2' => 'required',
            'code' => 'required',
            'flag' => 'required|image|mimes:jpg,png,jpeg,gif,svg'
        ]);

        if ($validator->fails()) {
            return back()->withInput()->with('error', 'All fields required !');
        }
        $data['name'] = $request->name;
        $data['iso2'] = $request->iso2;
        $data['code'] = $request->code;
        $data['created_by'] = Auth::user()->id;
        if ($request->hasFile('flag')) {
//            $validator = Validator::make($request->all(), [
//                'logo' => 'required|image|mimes:jpg,png,jpeg,gif,svg'
//            ]);
//            if ($validator->fails()) {
//                return back()->with('error', 'Invalid Logo');
//            }
            $image = $request->file('flag');
            $image_new = time() . $image->getClientOriginalName();
            $image->move('admin/assets/flags/', $image_new);
            $data['flag'] = $image_new;
        }
        Countries::create($data);
        return back()->with('success', 'Successfully Added.');
    }

    public function delete_flag($id)
    {
        $getData = Countries::findOrFail(decrypt($id));
        if (\File::exists(public_path('admin/assets/flags/' . $getData->flag))) {
            \File::delete(public_path('admin/assets/flags/' . $getData->flag));
        }
        $getData->delete();
        return back()->with('success', 'Data Deleted Successfully !');
    }

    public function updatecountries(Request $request)
    {
        $GetData = Countries::findOrFail($request->id);
        if (isset($request->name)) {
            $GetData->name = $request->name;
        }
        if (isset($request->iso2)) {
            $GetData->iso2 = $request->iso2;
        }
        if (isset($request->code)) {
            $GetData->code = $request->code;
        }
        $GetData->updated_by = Auth::user()->id;
        if ($request->hasFile('flag')) {
            $validator = Validator::make($request->all(), [
                'flag' => 'required|image|mimes:jpg,png,jpeg,gif,svg'
            ]);

            if ($validator->fails()) {
                return back()->with('error', 'Invalid flag');
            }

            if (\File::exists(public_path('admin/assets/flags/' . $GetData->flag))) {

                \File::delete(public_path('admin/assets/flags/' . $GetData->flag));
            }

            $image = $request->file('flag');
            $image_new = time() . $image->getClientOriginalName();
            $image->move('admin/assets/flags/', $image_new);
            $GetData->flag = $image_new;
        }

        $GetData->save();
        return back()->with('success', 'Country Updated Successfully !');
    }


}
