<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\Airport as Authenticatable;
use Illuminate\Database\Eloquent\Model;

class EsimPackagesList extends Model
{
    use HasFactory;

    protected $table = 'esim_packages_list';
    protected $guarded = [];

    public function packages_countries()
    {
        return $this->hasMany('App\Models\EsimPackagesListCountries', 'esim_packages_list_id', 'id');
    }

    public function packages_roaming()
    {
        return $this->hasMany('App\Models\EsimPackagesListRoamingEnabled', 'esim_packages_list_id', 'id');
    }

    public function packages_groups()
    {
        return $this->hasMany('App\Models\EsimPackagesListGroups', 'esim_packages_list_id', 'id');
    }

    public function user_data()
    {
        return $this->hasOne('App\Models\User', 'id', 'created_by');
    }

    public function minePackage()
    {
        return $this->hasOne('App\Models\MyPackages', 'original_package_name', 'name');
    }
}
