<?php

namespace App\Models;

// use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;
use Laravel\Sanctum\HasApiTokens;

class User extends Authenticatable
{
    use HasApiTokens, HasFactory, Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array<int, string>
     */
    protected $fillable = [
        'name',
        'email',
        'password',
        'phone',
        'image',
        'address',
        'status',
        'type'
    ];

    /**
     * The attributes that should be hidden for serialization.
     *
     * @var array<int, string>
     */
    protected $hidden = [
        'password',
        'remember_token',
    ];

    /**
     * The attributes that should be cast.
     *
     * @var array<string, string>
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
        'password' => 'hashed',
    ];

    public function users_registered_against_this_member()
    {
        return $this->hasMany('App\Models\user', 'refral_user_id', 'id')->where('type','user')->orderBy('id', 'desc');
    }

    public function subscriptions()
    {
        return $this->hasMany('App\Models\Orders', 'userid', 'id');
    }

    public function active_subscriptions()
    {
        return $this->hasMany('App\Models\Orders', 'userid', 'id')->where('status', 'active');
    }

    public function completed_subscriptions()
    {
        return $this->hasMany('App\Models\Orders', 'userid', 'id')->where('status', 'completed');
    }




}
