@extends('admin.layout.master')

@section('title')
    Add Regions
@endsection

@section('content')

    <div class="page-content">

        <nav class="page-breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{ route('admin./') }}">Home</a></li>
                <li class="breadcrumb-item active" aria-current="page">Add Regions</li>
            </ol>
        </nav>

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <h6 class="card-title">Add Regions</h6>
                        <form method="POST" action="{{ route('admin.save_regions') }}" enctype="multipart/form-data" class="MyForm">
                            @csrf
                            <div class="row">
                                <div class="col-md-4">
                                    <label>Region Name</label>
                                    <input type="text" class="form-control mb-3 MyInput" autocomplete="off"
                                           placeholder="Region Name" name="name">
                                </div>
                                <div class="col-md-4">
                                    <label>Region Code</label>
                                    <input type="text" class="form-control mb-3 MyInput" autocomplete="off"
                                           placeholder="Region Code" name="code">
                                </div>
                                <div class="col-md-4">
                                    <label>Region Icon</label>
                                    <input type="file" class="form-control mb-3 MyInput pt-3" name="region_icon" accept="image/*" required>
                                </div>
                                <div class="col-md-12 mb-4">
                                    <h3><b>Countries</b></h3>
                                </div>
                                @forelse($countries as $country)
                                    <div class="col-md-3 mb-2">
                                        <input type="checkbox" value="{{ $country->id }}" name="country_id[]"
                                               id="c{{ $country->id }}">
                                        <label for="c{{ $country->id }}">{{ $country->name }}</label>
                                    </div>
                                @empty
                                @endforelse

                            </div>


                            <div class="row">

                                <div class="col-md-4 mx-auto mt-3" style="text-align:center">

                                    <button type="submit" class="btn btn-outline-success MyButton"
                                            name="UpdateSystemInformation">Save Record
                                    </button>

                                </div>

                            </div>

                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection

@section('script')

    <script src="https://maps.googleapis.com/maps/api/js?v=3.exp&sensor=false&key=AIzaSyABXn0Dg5Bkbn8UnQFbMaaqbAQBMAsivEc&libraries=places"></script>

    <script>
        google.maps.event.addDomListener(window, 'load', initialize);

        function initialize() {
            var input = document.getElementById('location');
            var autocomplete = new google.maps.places.Autocomplete(input);
            autocomplete.addListener('place_changed', function () {
                var place = autocomplete.getPlace();
            });
        }
    </script>

@endsection
