@extends('admin.layout.master')

@section('title')
    Manage Admins
@endsection

<link rel="stylesheet" href="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.css') }}">

@section('content')

    <div class="page-content">

        <nav class="page-breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{ route('admin./') }}">Home</a></li>
                <li class="breadcrumb-item active" aria-current="page">Manage Admins</li>
            </ol>
        </nav>

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        @include('admin.layout.laravel_errors')
                        <div class="row mb-5">
                            <div class="col-md-10"><h6 class="card-title">Manage Admins</h6></div>
                            <div class="col-md-2">
                                <button class="btn btn-outline-dark w-100" type="button" data-bs-toggle="modal"
                                        data-bs-target="#AddPartners">Add Admin
                                </button>
                            </div>
                        </div>
                        <div class="table-responsive">
                            <table id="dataTableExample" class="table">
                                <thead>
                                <tr>
                                    <th>Id</th>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Phone</th>
                                    <th>Address</th>
                                    <th>Image</th>
                                    <th>Edit</th>
                                    <th>Delete</th>
                                </tr>
                                </thead>
                                <tbody>
                                @forelse($admins as $t=>$admin)
                                    <tr>
                                        <td>{{ $t+1 }}</td>
                                        <td>{{ $admin->name }}</td>
                                        <td>{{ $admin->email }}</td>
                                        <td>{{ ($admin->phone) ? $admin->phone : '--' }}</td>
                                        <td>{{ ($admin->address) ? $admin->address : '--' }}</td>
                                        <td>
                                            @if(isset($admin->image))
                                                <img src="{{ URL::asset('admin/assets/uploads/'.$admin->image)}}" alt=""
                                                     style="width: 50px;height: 50px;border-radius: 50%">
                                            @else
                                                --
                                            @endif
                                        </td>
                                        <td>
                                            <a data-bs-toggle="modal"
                                               data-bs-target="#UpdateTeam{{ $admin->id }}"
                                               class="btn btn-outline-info btn-icon">
                                                <i data-feather="edit"></i>
                                            </a>
                                        </td>
                                        <td>
                                            <a onclick="return(confirm('Are you sure to delete this record permanently ?'))"
                                               href="{{ route('admin.deleteadmin',[encrypt($admin->id)]) }}"
                                               class="btn btn-outline-danger btn-icon">
                                                <i data-feather="trash"></i>
                                            </a>
                                        </td>
                                    </tr>
                                    <div class="modal fade" id="UpdateTeam{{ $admin->id }}" tabindex="-1"
                                         aria-labelledby="exampleModalLabel" aria-hidden="true">
                                        <div class="modal-dialog modal-lg">
                                            <div class="modal-content">
                                                <div class="modal-header bg-dark">
                                                    <h5 class="modal-title text-white" id="exampleModalLabel">Edit
                                                        Admin</h5>
                                                    <button type="button" class="btn-close" data-bs-dismiss="modal"
                                                            aria-label="btn-close"></button>
                                                </div>
                                                <div class="modal-body">
                                                    <div class="container">
                                                        <form action="{{ route('admin.updateadmin') }}" method="post"
                                                              enctype="multipart/form-data" class="MyForm">
                                                            @csrf
                                                            <input type="hidden" name="id" value="{{ $admin->id }}">
                                                            <div class="row">
                                                                <div class="col-md-6">
                                                                    <div class="form-group">
                                                                        <label> Name </label>
                                                                        <input type="text" name="name"
                                                                               autocomplete="off"
                                                                               class="form-control MyInput"
                                                                               required="" placeholder="Name . . . "
                                                                               value="{{ ($admin->name) ? $admin->name : '' }}">
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-6">
                                                                    <div class="form-group">
                                                                        <label> Email </label>
                                                                        <input type="email" name="email"
                                                                               autocomplete="off"
                                                                               class="form-control MyInput"
                                                                               required="" placeholder="Email . . . "
                                                                               value="{{ ($admin->email) ? $admin->email : '' }}">
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-6">
                                                                    <div class="form-group">
                                                                        <label> Phone </label>
                                                                        <input type="text" name="phone"
                                                                               autocomplete="off"
                                                                               class="form-control MyInput"
                                                                               placeholder="Phone . . . "
                                                                               value="{{ ($admin->phone) ? $admin->phone : '' }}">
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-6">
                                                                    <div class="form-group">
                                                                        <label> Address </label>
                                                                        <input type="text" name="address"
                                                                               autocomplete="off"
                                                                               class="form-control MyInput"
                                                                               placeholder="Address . . . "
                                                                               value="{{ ($admin->address) ? $admin->address : '' }}">
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-12">
                                                                    <div class="form-group">
                                                                        <label> Password </label>
                                                                        <input type="password" name="password"
                                                                               autocomplete="off"
                                                                               class="form-control MyInput"
                                                                               minlength="8"
                                                                               placeholder="Password . . . "
                                                                               value="">
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-12">
                                                                    <div class="form-group">
                                                                        <label> Profile Picture </label>
                                                                        <input type="file" name="profile"
                                                                               class="form-control MyInput"
                                                                               accept="image/*">
                                                                    </div>
                                                                </div>
                                                                <div class="col-md-12 text-center">
                                                                    <button class="btn btn-dark MyButton" type="submit">
                                                                        Save
                                                                    </button>
                                                                </div>
                                                            </div>
                                                        </form>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                @empty
                                @endforelse
                                </tbody>
                            </table>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Modal -->
    <div class="modal fade" id="AddPartners" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header bg-dark">
                    <h5 class="modal-title text-white" id="exampleModalLabel">Add Admins</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="btn-close"></button>
                </div>
                <div class="modal-body">
                    <div class="container">
                        <form action="{{ route('admin.saveadmins') }}" method="post"
                              enctype="multipart/form-data" class="MyForm">
                            @csrf
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label> Name </label>
                                        <input type="text" name="name" autocomplete="off"
                                               class="form-control MyInput"
                                               required="" placeholder="Name . . . " value="{{ old('name') }}">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label> Email </label>
                                        <input type="email" name="email" autocomplete="off"
                                               class="form-control MyInput"
                                               required="" placeholder="Email . . . " value="{{ old('email') }}">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label> Phone </label>
                                        <input type="text" name="phone" autocomplete="off"
                                               class="form-control MyInput"
                                               placeholder="Phone . . . " value="{{ old('phone') }}">
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="form-group">
                                        <label> Address </label>
                                        <input type="text" name="address" autocomplete="off"
                                               class="form-control MyInput"
                                               placeholder="Address . . . " value="{{ old('address') }}">
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label> Password </label>
                                        <input type="password" name="password" autocomplete="off"
                                               class="form-control MyInput" required minlength="8"
                                               placeholder="Password . . . " value="{{ old('password') }}">
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label> Profile Picture </label>
                                        <input type="file" name="image" class="form-control MyInput" accept="image/*">
                                    </div>
                                </div>
                                <div class="col-md-12 text-center">
                                    <button class="btn btn-dark MyButton" type="submit"> Save</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection
@section('script')

    <script src="{{ URL::asset('admin/assets/vendors/datatables.net/jquery.dataTables.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/js/data-table.js') }}"></script>

@endsection
