@extends('admin.layout.master')

@section('title')
    Dashboard
@endsection

@section('content')

    <link rel="stylesheet" href="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.css') }}">

    <div class="page-content">

        <div class="d-flex justify-content-between align-items-center flex-wrap grid-margin">
            <div>
                <h4 class="mb-3 mb-md-0">Welcome to {{ $website->name }}</h4>
            </div>
        </div>

        <div class="row">
            <div class="col-md-4 mb-4">
                <a href="{{ route('admin.admins') }}" style="color:black">
                    <div class="card shadow" style="background-color: #f5cfcf;">
                        <div class="card-body">
                            <h4 class="p-4">Total Admins ({{ $admin->count() }})</h4>
                        </div>
                    </div>
                </a>
            </div>
            <div class="col-md-4 mb-4">
                <a href="{{ route('admin.manage_regions') }}" style="color:black">
                    <div class="card shadow" style="background-color: #cfecf5;">
                        <div class="card-body">
                            <h4 class="p-4">Total Regions ({{ $regions->count() }})</h4>
                        </div>
                    </div>
                </a>
            </div>
            <div class="col-md-4 mb-4">
                <a href="{{ route('admin.manage_countries') }}" style="color:black">
                    <div class="card shadow" style="background-color: #f0f5cf;">
                        <div class="card-body">
                            <h4 class="p-4">Total Countries ({{ $countries->count() }})</h4>
                        </div>
                    </div>
                </a>
            </div>
        </div>

    </div>
@endsection
@section('script')

    <script src="{{ URL::asset('admin/assets/vendors/datatables.net/jquery.dataTables.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/js/data-table.js') }}"></script>

@endsection
