@extends('admin.layout.master')

@section('title')
    Manage eSim Packages
@endsection

<link rel="stylesheet" href="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.css') }}">

@section('content')

    <div class="page-content">

        <nav class="page-breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{ route('admin./') }}">Home</a></li>
                <li class="breadcrumb-item active" aria-current="page">Manage eSim Packages</li>
            </ol>
        </nav>

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-5">
                            <div class="col-md-4">
                                <h3 style="color: red">
                                    <b>
                                        Last Sync
                                        : {{ ($packages->last()) ? Carbon\Carbon::parse($packages->last()->created_at)->format('d M Y h:i a') : '--' }}
                                    </b>
                                </h3>
                            </div>
                            <div class="col-md-6 text-left justify-content-start">
                                <h3 style="color: red">
                                    <b>
                                        Currency Exchange Rate = {{ number_format($setting->currency_rate,2) }} GEL
                                    </b>
                                </h3>
                            </div>
                            <div class="col-md-2">
                                <button class="btn btn-dark w-100 text-white" onclick="SyncRecord()">Sync Packages
                                </button>
                            </div>
                        </div>
                        <div class="table-responsive">
                            <table id="dataTableExample" class="table">
                                <thead>
                                <tr>
                                    <th>Id</th>
                                    <th>Image</th>
                                    <th>Name</th>
                                    <th>Description</th>
                                    <th>Data</th>
                                    <th>Duration</th>
                                    <th>Price ($)</th>
                                    <th>Sync By</th>
                                    <th>Make Mine</th>
                                </tr>
                                </thead>
                                <tbody>
                                @forelse($packages as $t=>$package)
                                    <tr>
                                        <td>{{ $t+1 }}</td>
                                        <td><a href="{{ $package->imageUrl }}" target="_blank"><img
                                                        src="{{ $package->imageUrl }}" alt=""></a></td>
                                        <td>{{ ($package->name) ? $package->name : '--' }}</td>
                                        <td>{{ ($package->description) ? $package->description : '--' }}</td>
                                        <td>{{ ($package->dataAmount) ? $package->dataAmount." MB" : '--' }}</td>
                                        <td>{{ ($package->duration) ? $package->duration." Days" : '--' }}</td>
                                        <td>{{ ($package->price) ? "$".$package->price : '--' }}</td>
                                        <td>{{ ($package->user_data) ? $package->user_data->name : '--' }}</td>
                                        <td>
                                            @if($package->minePackage)
                                                <button disabled readonly class="btn btn-danger">Already Added</button>
                                            @else
                                                <a href="{{ route('admin.make_mine',[encrypt($package->id)]) }}"
                                                   class="btn btn-dark">Make Mine</a>
                                            @endif
                                        </td>
                                    </tr>
                                @empty
                                @endforelse
                                </tbody>
                            </table>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection
@section('script')

    <script src="{{ URL::asset('admin/assets/vendors/datatables.net/jquery.dataTables.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/js/data-table.js') }}"></script>
    <script>
        function SyncRecord() {
            window.location.href = "{{ route('admin.sync_packages') }}";
            $('#MyLoader').show();
        }
    </script>
@endsection
