@extends('admin.layout.master')

@section('title')
    Manage My Packages
@endsection

<link rel="stylesheet" href="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.css') }}">

@section('content')

    <div class="page-content">

        <nav class="page-breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{ route('admin./') }}">Home</a></li>
                <li class="breadcrumb-item active" aria-current="page">Manage My Packages</li>
            </ol>
        </nav>

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-5">
                            <div class="col-md-4">
                                <h3>
                                    <b>
                                        Manage My Packages
                                    </b>
                                </h3>
                            </div>
                        </div>
                        <div class="table-responsive">
                            <table id="dataTableExample" class="table">
                                <thead>
                                <tr>
                                    <th>Id</th>
                                    <th>Title</th>
                                    <th>Original Price</th>
                                    <th>Price ($)</th>
                                    <th>Price (GEL)</th>
                                    <th>Data</th>
                                    <th>Duration</th>
                                    <th>Type</th>
                                    <th>Edit</th>
                                    <th>Delete</th>
                                </tr>
                                </thead>
                                <tbody>
                                @forelse($packages as $t=>$package)
                                    <tr>
                                        <td>{{ $t+1 }}</td>
                                        <td>{{ ($package->title) ? $package->title : '--' }}</td>
                                        <td>{{ ($package->original_package_price) ? "$".number_format($package->original_package_price,2) : '--' }}</td>
                                        <td>{{ ($package->price) ? "$".number_format($package->price,2) : '--' }}</td>
                                        <td>{{ ($package->price) ? number_format(($package->price*$setting->currency_rate))." GEL" : '--' }}</td>
                                        <td>{{ ($package->original_package_dataAmount) ? $package->original_package_dataAmount." MB" : '--' }}</td>
                                        <td>{{ ($package->original_package_duration) ? $package->original_package_duration." Days" : '--' }}</td>
                                        <td>
                                            @if($package->type=="1")
                                                <strong>Locally</strong>
                                            @endif
                                            @if($package->type=="2")
                                                <strong>Regionally</strong>
                                            @endif
                                        </td>
                                        <td><a href="{{ route('admin.edit_custom_package',[encrypt($package->id)]) }}"
                                               class="btn btn-info">Edit</a>
                                        </td>
                                        <td><a href="{{ route('admin.delete_custom_package',[encrypt($package->id)]) }}"
                                               class="btn btn-danger"
                                               onclick="return(confirm('are you sure to delete this package ?'))">Delete</a>
                                        </td>
                                    </tr>
                                @empty
                                @endforelse
                                </tbody>
                            </table>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection
@section('script')

    <script src="{{ URL::asset('admin/assets/vendors/datatables.net/jquery.dataTables.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/js/data-table.js') }}"></script>
    <script>
        function SyncRecord() {
            window.location.href = "{{ route('admin.sync_packages') }}";
            $('#MyLoader').show();
        }
    </script>
@endsection
