@extends('admin.layout.master')

@section('title')
    Manage Regions
@endsection

<link rel="stylesheet" href="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.css') }}">

@section('content')

    <div class="page-content">

        <nav class="page-breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{ route('admin./') }}">Home</a></li>
                <li class="breadcrumb-item active" aria-current="page">Manage Regions</li>
            </ol>
        </nav>

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-5">
                            <div class="col-md-10"><h6 class="card-title">Manage Regions</h6></div>
                            <div class="col-md-2">
                                <a href="{{ route('admin.add_regions') }}" class="btn btn-outline-dark w-100">Add
                                    Regions</a>
                            </div>
                        </div>
                        <div class="table-responsive">
                            <table id="dataTableExample" class="table">
                                <thead>
                                <tr>
                                    <th>Id</th>
                                    <th>Icon</th>
                                    <th>Name</th>
                                    <th>Code</th>
                                    <th>Countries</th>
                                    <th>Created At</th>
                                    <th>Edit</th>
                                    <th>Delete</th>
                                </tr>
                                </thead>
                                <tbody>
                                @forelse($regions as $t=>$region)
                                    <tr>
                                        <td>{{ $t+1 }}</td>
                                        <td>
                                            @if(isset($region->region_icon) && !empty($region->region_icon))
                                                <a href="{{ url::asset('admin/assets/regions/'.$region->region_icon) }}"
                                                   target="_blank">
                                                    <img src="{{ url::asset('admin/assets/regions/'.$region->region_icon) }}"
                                                         alt="">
                                                </a>
                                            @else
                                                --
                                            @endif
                                        </td>
                                        <td>{{ ($region->name) ? $region->name : '--' }}</td>
                                        <td>{{ ($region->code) ? $region->code : '--' }}</td>
                                        <td>
                                            <a href="{{ route('admin.regions_countries_list',[encrypt($region->id)]) }}">{{ ($region->country_data) ? $region->country_data->count() : '--' }}
                                                Countries</a></td>
                                        <td>{{ Carbon\Carbon::parse($region->created_at)->format('d-m-Y') }}</td>
                                        <td>
                                            <a href="{{ route('admin.edit_regions',[encrypt($region->id)]) }}"
                                               class="btn btn-outline-info btn-icon">
                                                <i data-feather="edit"></i>
                                            </a>
                                        </td>
                                        <td>
                                            <a onclick="return(confirm('Are you sure to delete this record permanently ?'))"
                                               href="{{ route('admin.delete_regions',[encrypt($region->id)]) }}"
                                               class="btn btn-outline-danger btn-icon">
                                                <i data-feather="trash"></i>
                                            </a>
                                        </td>
                                    </tr>

                                @empty
                                @endforelse
                                </tbody>
                            </table>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection
@section('script')

    <script src="{{ URL::asset('admin/assets/vendors/datatables.net/jquery.dataTables.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/js/data-table.js') }}"></script>

@endsection
