@extends('admin.layout.master')

@section('title')
    Region Wise Countries
@endsection

<link rel="stylesheet" href="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.css') }}">

@section('content')

    <div class="page-content">

        <nav class="page-breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{ route('admin./') }}">Home</a></li>
                <li class="breadcrumb-item active" aria-current="page">Region Wise Countries</li>
            </ol>
        </nav>

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-5">
                            <div class="col-md-12"><h6 class="card-title">Region Wise Countries</h6></div>
                        </div>
                        <div class="table-responsive">
                            <table id="dataTableExample" class="table">
                                <thead>
                                <tr>
                                    <th>Id</th>
                                    <th>Region</th>
                                    <th>Country</th>
                                    <th>Code</th>
                                    <th>Flag</th>
                                </tr>
                                </thead>
                                <tbody>
                                @forelse($regions->country_data as $t=>$country)
                                    <tr>
                                        <td>{{ $t+1 }}</td>
                                        <td>{{ ($regions->name) ? $regions->name : '--' }}</td>
                                        <td>{{ ($country->country) ? $country->country->name : '--' }}</td>
                                        <td>{{ ($country->country) ? $country->country->code : '--' }}</td>
                                        <td>
                                            <img src="{{ url::asset('admin/assets/flags/'.$country->country->flag) }}" alt="">
                                        </td>
                                    </tr>
                                @empty
                                @endforelse
                                </tbody>
                            </table>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>


@endsection
@section('script')

    <script src="{{ URL::asset('admin/assets/vendors/datatables.net/jquery.dataTables.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/js/data-table.js') }}"></script>

@endsection
