<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Lagi eSim Regional Packages</title>
    <link rel="icon" href="{{ URL::asset('website/images/fav.png') }}" type="image/x-icon">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
    <!-- Font Awesome CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <style>
        .MyColor {
            color: #222461 !important;
        }

        .MyWhite {
            color: white !important;
        }

        .MyBGColor {
            background-color: #222461 !important;
        }

        .My14 {
            font-size: 14px !important;
        }

        .btn:hover {
            color: white !important;
            background-color: #222461 !important;
            border-color: #222461 !important;
        }
    </style>
</head>
<body>
<div class="container">
    <div class="row">
        <div class="col-md-3 col-xs-3 col-12 col-sm-12"></div>
        <div class="col-md-6 col-xs-6 col-12 col-sm-12">

            <div class="row mt-3">
                <div class="col-md-6 col-xs-6 col-6 col-sm-6">
                    <a href="{{ route('regions') }}" class="text-dark" style="text-decoration: none;margin-left: 5px"><i
                                class="fas fa-arrow-left"></i> <span style="margin-left: 5px">Go Back</span></a>
                </div>
                <div class="col-md-6 col-xs-6 col-6 col-sm-6" style="text-align: right">
                    <h5>
                        <a href="{{ route('region_packages',[encrypt($region->id)]) }}" style="color: black;text-decoration: none">
                            <img src="{{ URL::asset('admin/assets/regions/'.$region->region_icon) }}"
                                 width="25"
                                 height="25"> <b> {{ $region->name }}</b>
                        </a>
                    </h5>
                </div>
            </div>

            <div class="row mt-3">
                <div class="col-md-12 col-xs-12 col-12 col-sm-12">
                    <form action="{{ route('region_packages',[encrypt($region->id)]) }}" method="get">
                        <div class="input-group">
                            <input type="text" class="form-control" name="title"
                                   value="{{ ($request->title) ? $request->title : '' }}"
                                   placeholder="Search Packages . . . . " style="height:50px">
                            <button class="btn MyWhite" style="background-color: #222461" type="submit">Search</button>
                        </div>
                    </form>
                </div>
            </div>


            <div class="row">
                @forelse($packages as $p=>$package)
                    <div class="col-md-6 col-12 col-xs-12 col-sm-12">
                        <div class="card shadow mt-2 MyColor"
                             style="background-color: #fce055;background-image: linear-gradient(112deg, #dee1e6 0%, #d7e4ff 37%, #f7efff 100%)">
                            <div class="card-header">
                                <div class="row"><h5><b>{{ ($package->title) ? $package->title : '' }}</b></h5></div>
                            </div>
                            <div class="card-header">
                                <div class="row">
                                    <div class="col-md-6 col-6 col-xs-6 col-sm-6">
                                        <p style="margin-top: 5px"><i class="fas fa-globe"></i> Coverage</p>
                                    </div>
                                    <div class="col-md-6 col-6 col-xs-6 col-sm-6" style="text-align: right">
                                        <h6><a href="{{ route('region_countries_list',[encrypt($region->id)]) }}" style="border-color: #222461"
                                               class="btn btn-outline-dark MyColor">{{ ($region->country_data) ? $region->country_data->count() : '' }}
                                                Countries</a></h6>
                                    </div>
                                </div>
                                <div class="row">
                                    <hr>
                                    <div class="col-md-6 col-6 col-xs-6 col-sm-6">
                                        <p><i class="fas fa-signal"></i> Data</p>
                                    </div>
                                    <div class="col-md-6 col-6 col-xs-6 col-sm-6" style="text-align: right">
                                        <p>
                                            <b>{{ ($package->original_package_dataAmount) ? number_format(($package->original_package_dataAmount/1000)) : '' }}
                                                GB</b></p>
                                    </div>
                                </div>
                                <div class="row">
                                    <hr>
                                    <div class="col-md-6 col-6 col-xs-6 col-sm-6">
                                        <p><i class="fas fa-calendar"></i> Validity</p>
                                    </div>
                                    <div class="col-md-6 col-6 col-xs-6 col-sm-6" style="text-align: right">
                                        <p>
                                            <b>{{ ($package->original_package_duration) ? $package->original_package_duration : '' }}
                                                Days</b></p>
                                    </div>
                                </div>
                                <div class="row">
                                    <hr>
                                    <div class="col-md-6 col-6 col-xs-6 col-sm-6">
                                        <p><i class="fas fa-pencil"></i> Price</p>
                                    </div>
                                    <div class="col-md-6 col-6 col-xs-6 col-sm-6" style="text-align: right">
                                        <p>
                                            <b>{{ ($package->price) ? number_format(($package->price*$setting->currency_rate)) : '' }}
                                                ₾</b></p>
                                    </div>
                                </div>
                                <div class="row">
                                    <hr>
                                    <div class="col-md-12 col-12 col-xs-12 col-sm-12">
                                        <button class="btn btn-outline-dark w-100 MyColor"
                                                style="border-color: #222461">Buy
                                            Now
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                @empty
                    <div class="col-md-12 col-12 col-xs-12 col-sm-12">
                        <div class="card shadow mt-2 MyColor">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-12 col-xs-12 col-12 col-sm-12">
                                        <h6 style="margin-left: 10px;margin-top: 2px;color: red">No Record Found.</h6>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                @endforelse
            </div>

        </div>
        <div class="col-md-3 col-xs-3 col-12 col-sm-12"></div>
    </div>
</div>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-YvpcrYf0tY3lHB60NNkmXc5s9fDVZLESaAA55NDzOxhy9GkcIdslK1eN7N6jIeHz"
        crossorigin="anonymous"></script>
</body>
</html>