<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Lagi eSim Regions</title>
    <link rel="icon" href="{{ URL::asset('website/images/fav.png') }}" type="image/x-icon">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
    <!-- Font Awesome CSS -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <style>
        .MyColor {
            color: #222461 !important;
        }

        .MyWhite {
            color: white !important;
        }

        .MyBGColor {
            background-color: #222461 !important;
        }

        .My14 {
            font-size: 14px !important;
        }
    </style>
</head>
<body>
<div class="container">
    <div class="row">
        <div class="col-md-3 col-xs-3 col-12 col-sm-12"></div>
        <div class="col-md-6 col-xs-6 col-12 col-sm-12">

            <div class="row mt-3">
                <div class="col-md-12 col-xs-12 col-12 col-sm-12">
                    <a href="{{ route('dashboard') }}" class="text-dark" style="text-decoration: none;margin-left: 5px"><i
                                class="fas fa-arrow-left"></i> <span style="margin-left: 5px">Go Back</span></a>
                </div>
            </div>

            <div class="row mt-3">
                <div class="col-md-12 col-xs-12 col-12 col-sm-12">
                    <form action="{{ route('regions') }}" method="get">
                        <div class="input-group">
                            <input type="text" class="form-control" name="region"
                                   value="{{ ($request->region) ? $request->region : '' }}"
                                   placeholder="Search Regions . . . . " style="height:50px">
                            <button class="btn MyWhite" style="background-color: #222461" type="submit">Search</button>
                        </div>
                    </form>
                </div>
            </div>

            <div class="row mt-3">
                <div class="col-md-6 col-xs-6 col-6 col-sm-6">
                    <div class="card" style="border-radius: 10px">
                        <div class="card-body" style="background-color: #222461;border-radius: 10px">
                            <a href="{{ route('regions') }}" class="MyWhite" style="text-decoration: none"><h6
                                        style="padding-top: 6px;font-size: 14px">Regional Packages</h6></a>
                        </div>
                    </div>
                </div>
                <div class="col-md-6 col-xs-6 col-6 col-sm-6">
                    <div class="card">
                        <div class="card-body">
                            <a href="{{ route('countries') }}" class="text-dark" style="text-decoration: none"><h6
                                        style="padding-top: 6px;font-size: 14px">Local Packages</h6></a>
                        </div>
                    </div>
                </div>
            </div>

            <div class="row">
                @forelse($regions as $r=>$region)
                    <div class="col-md-12 col-12 col-xs-12 col-sm-12">
                        <div class="card shadow mt-2 MyColor">
                            <div class="card-body">
                                <a href="{{ route('region_packages',[encrypt($region->id)]) }}" class="text-dark"
                                   style="text-decoration: none">
                                    <div class="row">
                                        <div class="col-md-10 col-xs-10 col-10 col-sm-10 d-flex">
                                            <img src="{{ URL::asset('admin/assets/regions/'.$region->region_icon) }}"
                                                 width="37"
                                                 height="27">
                                            <h6 style="margin-left: 10px;margin-top: 3px">{{ $region->name }}</h6>
                                        </div>
                                        <div class="col-md-2 col-xs-2 col-2 col-sm-2" style="text-align: right">
                                            <h6 style="margin-top: 3px"><i class="fas fa-arrow-circle-right"></i>
                                            </h6>
                                        </div>
                                    </div>
                                </a>
                            </div>
                        </div>
                    </div>
                @empty
                    <div class="col-md-12 col-12 col-xs-12 col-sm-12">
                        <div class="card shadow mt-2 MyColor">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col-md-12 col-xs-12 col-12 col-sm-12">
                                        <h6 style="margin-left: 10px;margin-top: 2px;color: red">No Record Found.</h6>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                @endforelse
            </div>

        </div>
        <div class="col-md-3 col-xs-3 col-12 col-sm-12"></div>
    </div>
</div>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-YvpcrYf0tY3lHB60NNkmXc5s9fDVZLESaAA55NDzOxhy9GkcIdslK1eN7N6jIeHz"
        crossorigin="anonymous"></script>
</body>
</html>